Bug 1023863 - (CVE-2013-5604) CVE-2013-5604 Mozilla: Access violation with XSLT and uninitialized data (MFSA 2013-95)
CVE-2013-5604 Mozilla: Access violation with XSLT and uninitialized data (MFS...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131029,repor...
: Security
Depends On:
Blocks: 1015366
  Show dependency treegraph
 
Reported: 2013-10-28 02:53 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-10-30 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-10-28 02:53:42 EDT
Security researcher Abhishek Arya (Inferno) of the Google Chrome Security Team used the Address Sanitizer tool to discover an access violation when Extensible Stylesheet Language Transformations (XSLT) are processed with uninitialized data. This leads to a potentially exploitable crash.

In general this flaw cannot be exploited through email in the Thunderbird and Seamonkey products because scripting is disabled, but is potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-95.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Abhishek Arya as the original reporter.
Comment 1 errata-xmlrpc 2013-10-29 17:17:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1476 https://rhn.redhat.com/errata/RHSA-2013-1476.html
Comment 2 errata-xmlrpc 2013-10-30 12:32:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2013:1480 https://rhn.redhat.com/errata/RHSA-2013-1480.html

Note You need to log in before you can comment on or make changes to this bug.